
-- =========================================================================
-- DB2 Spatial Extender V8 Bank Demo
-- CLP script: create_tables.db2
-- =========================================================================

--
-- Create business tables
--

CREATE TABLE bankdemo.customer
(
	customer_id integer not null,
	se_row_id integer,
	name varchar(20),
	street varchar(25),
	city varchar(10),
	state varchar(2),
	zip varchar(5),
	phone varchar(20),
	email varchar(50),
	customer_type varchar(10),
	date_billed date,
	date_entered date
)
;

CREATE TABLE bankdemo.branch
(
	branch_id integer not null,
	se_row_id integer,
	name varchar(12),
	manager varchar(20),
	street varchar(20),
	city varchar(10),
	state varchar(2),
	zip varchar(5),
	phone varchar(30),
	fax varchar(30)
)
;

CREATE TABLE bankdemo.account
(
	customer_id integer not null,
	branch_id integer not null,
	account_id integer not null,
	type varchar(10) not null,
	balance decimal(14, 2) not null,
	routing_number integer not null
)
;

CREATE TABLE bankdemo.transaction
(
	transaction_id integer not null,
	transaction_date date not null,
	description varchar(1000),
	account_id integer not null,
	amount decimal(14, 2) not null,
	notes varchar(1000),
	classification varchar(30)
)
;


